      INTEGER FUNCTION LRANG_POIN(NOM,N)
      CHARACTER*1 NOM(*)
      IF (N.LE.0) THEN
        NN = 0
      ELSE
        NN = N+1
 100    NN = NN-1
        IF (NOM(NN).NE.'.'.AND.NN.GT.0) GOTO 100
      ENDIF
      IF (NN.EQ.0) THEN
        LRANG_POIN=N
      ELSE
        LRANG_POIN=NN-1
      ENDIF
      END
